squareball 0.2.0.29-1f41 A general-purpose library for C99

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs
Data Fields
sb_slist_t Struct Reference

`#include <squareball/sb-slist.h>`

## Data Fields
struct _sb_slist_t * | next
void * | data

## Detailed Description

Singly-linked list node structure.

Examples:
  hello_slist.c.

## Field Documentation

void* sb_slist_t::data

Pointer to data stored in the current list node.

struct _sb_slist_t* sb_slist_t::next

Next node from the list.

Examples:
  hello_slist.c.

The documentation for this struct was generated from the following file:

- squareball/sb-slist.h